Bug 410821 - RFE: Support reloading fence_xvm{,d} key files on the fly
Summary: RFE: Support reloading fence_xvm{,d} key files on the fly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-04 18:33 UTC by Ryan McCabe
Modified: 2009-04-16 22:56 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-20 21:52:35 UTC


Attachments (Terms of Use)
patch for reloading via SIGHUP (2.90 KB, patch)
2008-03-04 21:46 UTC, Ryan McCabe
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Ryan McCabe 2007-12-04 18:33:01 UTC
SSIA

Comment 1 Lon Hohberger 2008-03-04 21:12:23 UTC
Ryan - should SIGHUP be employed, or should we maintain a static buffer with the
stat(2) info in it and watch the mtime?



Comment 2 Ryan McCabe 2008-03-04 21:46:20 UTC
Created attachment 296816 [details]
patch for reloading via SIGHUP

Here's the patch I've had sitting around regenerated against the git master
branch

Comment 3 Lon Hohberger 2008-03-04 22:24:35 UTC
I've merged this with my git master copy but haven't pushed it yet.


Comment 4 Lon Hohberger 2008-03-04 22:53:15 UTC
I've pushed this to git master, but have not merged it with RHEL5.

Comment 9 errata-xmlrpc 2009-01-20 21:52:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.